import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)

const store = new Vuex.Store({
	state: {
		count: 0
	},
	getters: {
		doubleCount (state) {
			return state.count * 2
		}
	},
	mutations: {
		increment (state) {
			state.count++
		}
	}
})
export default store;